Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160994 - Missing BuildRequires dependency on gettext-devel
Summary: Missing BuildRequires dependency on gettext-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xsane
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 15:39 UTC by Andreas Thienemann
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 0.95-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 09:41:00 UTC


Attachments (Terms of Use)

Description Andreas Thienemann 2005-06-19 15:39:33 UTC
During a testbuild of xsane-0.92-13 in mock, the rebuild process stops
with the following error:

+ aclocal
acinclude.m4:8: warning: underquoted definition of AM_PATH_GTK2
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
acinclude.m4:46: warning: underquoted definition of AM_PATH_GTK
acinclude.m4:218: warning: underquoted definition of AM_PATH_GIMP
acinclude.m4:464: warning: underquoted definition of AM_PATH_SANE
aclocal:configure.in:114: warning: macro `AM_GNU_GETTEXT' not found in library
+ autoconf
configure.in:114: error: possibly undefined macro: AM_GNU_GETTEXT
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
error: Bad exit status from /var/tmp/rpm-tmp.22276 (%build)


Adding gettext-devel to the BuildRequires list should fix this problem.

Comment 1 Tim Waugh 2005-06-20 09:41:00 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.